## org.apache.http.impl.cookie
Class BrowserCompatSpec

    java.lang.Object
      org.apache.http.impl.cookie.AbstractCookieSpec
          org.apache.http.impl.cookie.CookieSpecBase
              org.apache.http.impl.cookie.BrowserCompatSpec

All Implemented Interfaces:
  CookieSpec

    @NotThreadSafe
    public class BrowserCompatSpec

extends CookieSpecBase

Cookie specification that strives to closely mimic (mis)behavior of common web browser applications such as Microsoft Internet Explorer and Mozilla FireFox.

Since:
  4.0

Field Summary
`protected static String[]` `DATE_PATTERNS` Deprecated.

Constructor Summary
`BrowserCompatSpec()` Default constructor
`BrowserCompatSpec(String[] datepatterns)` Default constructor

Method Summary
`List<Header>` `formatCookies(List<Cookie> cookies)` Create `"Cookie"` headers for an array of Cookies.
`int` `getVersion()` Returns version of the state management this cookie specification conforms to.
`Header` `getVersionHeader()` Returns a request header identifying what version of the state management specification is understood.
`List<Cookie>` `parse(Header header, CookieOrigin origin)` Parse the `"Set-Cookie"` Header into an array of Cookies.
`String` `toString()`

Methods inherited from class org.apache.http.impl.cookie.CookieSpecBase
`getDefaultDomain, getDefaultPath, match, parse, validate`

Methods inherited from class org.apache.http.impl.cookie.AbstractCookieSpec
`findAttribHandler, getAttribHandler, getAttribHandlers, registerAttribHandler`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DATE_PATTERNS

    @Deprecated
    protected static final String[] DATE_PATTERNS

  Deprecated.

Constructor Detail

### BrowserCompatSpec

    public BrowserCompatSpec(String[] datepatterns)

  Default constructor

### BrowserCompatSpec

    public BrowserCompatSpec()

  Default constructor

Method Detail

### parse

    public List<Cookie> parse(Header header,
                              CookieOrigin origin)
                       throws MalformedCookieException

  Description copied from interface: `CookieSpec`
  Parse the `"Set-Cookie"` Header into an array of Cookies.

  This method will not perform the validation of the resultant `Cookie`s

  Parameters:
    `header` - the `Set-Cookie` received from the server
    `origin` - details of the cookie origin
  Returns:
    an array of `Cookie`s parsed from the header
  Throws:
    `MalformedCookieException` - if an exception occurs during parsing
  See Also:
    `CookieSpec.validate(org.apache.http.cookie.Cookie, org.apache.http.cookie.CookieOrigin)`

### formatCookies

    public List<Header> formatCookies(List<Cookie> cookies)

  Description copied from interface: `CookieSpec`
  Create `"Cookie"` headers for an array of Cookies.

  Parameters:
    `cookies` - the Cookies format into a Cookie header
  Returns:
    a Header for the given Cookies.

### getVersion

    public int getVersion()

  Description copied from interface: `CookieSpec`
  Returns version of the state management this cookie specification conforms to.

  Returns:
    version of the state management specification

### getVersionHeader

    public Header getVersionHeader()

  Description copied from interface: `CookieSpec`
  Returns a request header identifying what version of the state management specification is understood. May be `null` if the cookie specification does not support `Cookie2` header.

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 1999-2011 The Apache Software Foundation. All Rights Reserved.